メインコンテンツへスキップ
DELETE
/
crm
/
pipelines
/
2026-03
/
{objectType}
/
{pipelineId}
Delete a pipeline
curl --request DELETE \
  --url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須
pipelineId
string
必須

クエリパラメータ

validateDealStageUsagesBeforeDelete
boolean
デフォルト:false
validateReferencesBeforeDelete
boolean
デフォルト:false

レスポンス

最終更新日 2026年4月10日